Bug 448239 - Cannot start last VM in list
Cannot start last VM in list
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
9
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 17:10 EDT by Gerry Reno
Modified: 2009-01-23 10:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 10:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log (570.67 KB, text/plain)
2008-05-27 10:41 EDT, Gerry Reno
no flags Details
virsh dumpxml TEST1 (862 bytes, text/xml)
2008-05-27 10:42 EDT, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2008-05-24 17:10:08 EDT
Description of problem:
In virt-manager I cannot start the last VM in the list.  Always get this error:
...QEMU quit during console startup bind() failed.

Version-Release number of selected component (if applicable):
# yum list virt-manager qemu
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * updates: www.gtlib.gatech.edu
 * adobe-linux-i386: linuxdownload.adobe.com
 * fedora: www.gtlib.gatech.edu
Installed Packages
qemu.i386                                0.9.1-5.fc9            installed       
virt-manager.i386                        0.5.4-3.fc9            installed       


How reproducible:
Always

Steps to Reproduce:
1. startup virt-manager
2. try to start last VM in list
3.
  
Actual results:
VM does not start and shows error

Expected results:
VM starts

Additional info:
Comment 1 Cole Robinson 2008-05-27 10:16:58 EDT
Can you please post ~/.virt-manager/virt-manager.log, and a 'virsh dumpxml' of
the offending VM? Thanks.
Comment 2 Gerry Reno 2008-05-27 10:41:12 EDT
Created attachment 306777 [details]
virt-manager.log

TEST1 is the VM that was startable and now no longer will start.
I've tried undefining and redefining it as well, still will not start, same
error.
Comment 3 Gerry Reno 2008-05-27 10:42:09 EDT
Created attachment 306779 [details]
virsh dumpxml TEST1
Comment 4 Cole Robinson 2009-01-23 10:45:20 EST
Okay, I'm not sure what caused this problem to take place, but it isn't virt-manager's fault.

That 'bind' error is what you get when 2 vms try to use the same vnc port. This means you either have misconfigured vms, or something went wrong at the libvirt level. If you have multiple VMs configured to use the same vnc port, I'd recommend changing them. If not, this is probably the result of a libvirt crash or some other bug long fixed.

If you can still reproduce this issue, reopen this bug, and post:

virt-manager and libvirt version
virsh list --all
virsh dumpxml for all vms
ps axwww | grep qemu

Closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.